global
    log         127.0.0.1 local2

    chroot      /var/lib/haproxy
    pidfile     /var/run/haproxy.pid
    maxconn     4000
    user        haproxy
    group       haproxy
    daemon

    # turn on stats unix socket
    # stats socket /var/lib/haproxy/stats

defaults
    mode                    http
    log                     global
    option                  httplog
    option                  dontlognull
    option http-server-close
    option forwardfor       except 127.0.0.0/8
    option                  redispatch
    retries                 3
    timeout http-request    10s
    timeout queue           1m
    timeout connect         10s
    timeout client          1m
    timeout server          1m
    timeout http-keep-alive 10s
    timeout check           10s
    maxconn                 3000

frontend ca.public.{{ ansible_hostname }}
    balance source
    bind :80

    http-response del-header 'X-Powered-By'
    http-response del-header 'Server'

    use_backend node_red_http if { path_beg /ocsp or path_beg /download }

frontend ca.internal.{{ ansible_hostname }}
    bind :8080

    use_backend node_red_http if { path_beg /upload or path_beg /metrics }

listen ca.metrics.{{ ansible_hostname }}
    bind :8081

    # http-request use-service prometheus-exporter

    stats enable
    stats uri /metrics
    stats refresh 5s

backend node_red_http
    option httpchk /health
    server ca 127.0.0.1:1880 check

